Bug 58814 - Subject shown as "Unknown" until selected (big5 charset)
Summary: Subject shown as "Unknown" until selected (big5 charset)
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-22 18:56 UTC by Malte S. Stretz
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
some Chinese spam (9.09 KB, text/plain)
2003-05-22 18:57 UTC, Malte S. Stretz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Malte S. Stretz 2003-05-22 18:56:20 UTC
Version:           1.5.2 (using KDE 3.1.2)
Installed from:    SuSE
Compiler:          gcc version 2.95.3 20010315 (SuSE)
OS:          Linux (i686) release 2.4.18

Hi,

what a coincidence: I just read bug 58686 when some Chinese spam arrived which behaved weird: The Subject was shown as "Unknown" until I selected the message (and is cached until I delete that folders index). Don't ask me if it is the correct Subject shown afterwards; I don't speak Chinese. It's not the first message I received doing this.

The text is marked as charset "big5", whatever that is. It also contains a body part with that encoding which isn't shown at all. I don't even know if my system has the capabilities of showing such a message but then I wonder why the Subject is suddenly shown if I select the message?

Whatever, I'll attach the mail in question; maybe it's really a bug.

Cheers,
Malte
Comment 1 Malte S. Stretz 2003-05-22 18:57:23 UTC
Created attachment 1633 [details]
some Chinese spam
Comment 2 Ingo Klöcker 2003-05-25 22:20:37 UTC
Subject: Re:  Subject shown as "Unknown" until selected (big5 charset)

KMail assumed that "Subject:" has to be followed by a space which is 
wrong. This bug is fixed.